%define ocamlname re

Name:           ocaml-%{ocamlname}
Version:        1.7.3
Release:        1%{?dist}.emp1
Summary:        RE is a regular expression library for OCaml
License:        LGPL-2.0 with OCaml linking exception
URL:            https://github.com/ocaml/ocaml-re
Source0:        %{ocamlname}-%{version}.tbz

Requires:       ocaml >= 4.02.3

BuildRequires:  jbuilder
BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit

%description
Pure OCaml regular expressions with:
* Perl-style regular expressions (module Re.Perl)
* Posix extended regular expressions (module Re.Posix)
* Emacs-style regular expressions (module Re.Emacs)
* Shell-style file globbing (module Re.Glob)
* Compatibility layer for OCaml's built-in Str module (module Re.Str)

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder subst -n %{ocamlname}
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
jbuilder install --destdir=%{buildroot} --libdir=%{buildroot}%{_libdir}/ocaml

%check
jbuilder runtest  -p %{ocamlname} %{?_smp_mflags}

%files
%doc /doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc /doc/%{ocamlname}/CHANGES.md
%doc /doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
